Name: libtomcrypt
Summary: Tom's modular and portable cryptographic toolkit
Version: 1.10
Release: 1
License: Public Domain
Group: Development/Libraries
Source: http://libtomcrypt.org/files/crypt-%{version}.tar.bz2
Patch0: libtomcrypt-1.10-shared-lib.patch
Patch1: libtomcrypt-1.10-no-XMEMSET.patch
Patch2: libtomcrypt-1.10-no-rolc.patch
URL: http://libtomcrypt.org/
BuildRoot: %{_tmppath}/%{name}
Packager: Bruce Guenter <bruce@untroubled.org>
BuildRequires: libtommath

%description
LibTomCrypt is a fairly comprehensive, modular and portable
cryptographic toolkit that provides developers with a vast array of well
known published block ciphers, one-way hash functions, chaining modes,
pseudo-random number generators, public key cryptography and a plethora
of other routines.

LibTomCrypt has been designed from the ground up to be very simple to
use. It has a modular and standard API that allows new ciphers, hashes
and PRNGs to be added or removed without change to the overall end
application. It features easy to use functions and a complete user
manual which has many source snippet examples. 

%package devel
Summary: Headers and libraries for libtomcrypt
Group: Development/Libraries

%description devel
This package contains the headers and library files necessary for
building applications with libtomcrypt.

%prep
%setup
%patch0 -p1
%patch1 -p1
if gcc -v 2>&1 | tail -n 1 | egrep ' version (2|3\.[0123])' >/dev/null; then
  patch -p1 <%{PATCH2}
fi

%build
make -f makefile.shared \
	NODOCS=1 \
	CFLAGS="%{optflags} -I. -I../src/headers -Isrc/headers -DLTC_SOURCE $NO_ROLC"

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/usr

make -f makefile.shared \
	DESTDIR=%{buildroot} \
	LIBPATH=%{_libdir} \
	INCPATH=%{_includedir} \
	DATAPATH=%{_docdir}/%{name}-devel-%{version} \
	USER=`id -u` \
	GROUP=`id -g` \
	install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc LICENSE TODO changes crypt.tex demos doc/* notes/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
